Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.fdf
Class FDFNamedPageReference

    java.lang.Object
      org.pdfbox.pdmodel.fdf.FDFNamedPageReference

All Implemented Interfaces:
  COSObjectable

public class FDFNamedPageReference
extends Object
implements COSObjectable

This represents an FDF named page reference that is part of the FDF field.

Version:
  $Revision: 1.1 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Constructor Summary
`FDFNamedPageReference()` Default constructor.
`FDFNamedPageReference(COSDictionary r)` Constructor.

Method Summary
`COSDictionary` | `getCOSDictionary()` Convert this standard java object to a COS object.
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`PDFileSpecification` | `getFileSpecification()` This will get the file specification of this reference.
`String` | `getName()` This will get the name of the referenced page.
`void` | `setFileSpecification(PDFileSpecification fs)` This will set the file specification for this named page reference.
`void` | `setName(String name)` This will set the name of the referenced page.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FDFNamedPageReference

    public FDFNamedPageReference()

  Default constructor.

### FDFNamedPageReference

    public FDFNamedPageReference(COSDictionary r)

  Constructor.

Parameters:
  `r` - The FDF named page reference dictionary.

Method Detail

### getCOSObject

    public COSBase getCOSObject()

  Convert this standard java object to a COS object.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Returns:
    The cos object that matches this Java object.

### getCOSDictionary

    public COSDictionary getCOSDictionary()

  Convert this standard java object to a COS object.

  Returns:
    The cos object that matches this Java object.

### getName

    public String getName()

  This will get the name of the referenced page. A required parameter.

  Returns:
    The name of the referenced page.

### setName

    public void setName(String name)

  This will set the name of the referenced page.

  Parameters:
    `name` - The referenced page name.

### getFileSpecification

    public PDFileSpecification getFileSpecification()

  This will get the file specification of this reference. An optional parameter.

  Returns:
    The F entry for this dictionary.

### setFileSpecification

    public void setFileSpecification(PDFileSpecification fs)

  This will set the file specification for this named page reference.

  Parameters:
    `fs` - The file specification to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD